Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete voice

audio.voices.delete(voice_id) -> VoiceDeleted
DELETE
/audio/voices/{voice_id}

Deletes a voice created from a text prompt or an audio sample.

Requires voice write permission and access to the voice’s project. Access to voices created from recordings is limited to eligible customers. See the custom voices guide.

Deleting a voice does not delete its consent recording. Deleting an already deleted voice returns a 404 error.

Parameters
voice_id: str
Returns
class VoiceDeleted: …
id: str

The voice identifier.

deleted: bool

Whether the voice was deleted.

object: Literal["audio.voice.deleted"]

The object type, which is always audio.voice.deleted.

Delete voice

import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
voice_deleted = client.audio.voices.delete(
    "voice_id",
)
print(voice_deleted.id)
{
  "id": "voice_1234",
  "object": "audio.voice.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "voice_1234",
  "object": "audio.voice.deleted",
  "deleted": true
}